Subject: Re: [PATCH 0/15] Hypervisor-mode KVM on POWER7 and PPC970

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 22 Jun 2011 16:17:46 +1000

On Wed, 2011-06-22 at 13:20 +1000, Paul Mackerras wrote:
> On Tue, Jun 21, 2011 at 02:18:39PM +0000, Dmitry Eremin-Solenikov wrote:
> 
> > I have a Maple board (dual PPC970FX). Will this patchset work on it?
> > Should I add any additional changes to add support for this platform?
> 
> Provided the firmware gives you control in hypervisor mode, yes it
> should work, and I don't know of any extra changes you would need.
> I don't recall what firmware the Maple boards had on them, though.

I think it's more specifically whether the FW of the service processor
configure the mode rings of the 970 to "Apple" mode or not.

Cheers,
Ben.